Bug 228760 - AIGLX / compiz / beryl crashes X on an R300 Radeon Card.
AIGLX / compiz / beryl crashes X on an R300 Radeon Card.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
6
All Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-14 15:43 EST by Habeeb J. Dihu
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-03 09:10:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Habeeb J. Dihu 2007-02-14 15:43:44 EST
Running the latest FC6 + updates + testing.  ATI driver version:
xorg-x11-drv-ati-6.6.3-1.fc6

If I try to launch compiz via "desktop effects" I will crash the X server, every
time.  I'm not using ATI's fglrx module, just the native Xorg modules.  My card
is a Radeon R300 (ATI FireGL X1 to be exact) and it's driving two SGI 1600SW
LCDs in a dualhead configuration.

Relevant snippet from my xorg.conf:

Section "Device"
        # vendor=1002, device=4e47

        Identifier  "Radeon-xorg"
        Driver      "ati"
        VendorName  "ATI"
        BoardName   "FireGL X1"
        Option      "AccelDFS" "On"
        Option      "AccelMethod" "XAA"
        Option      "AGPMode" "8"
        Option      "ColorTiling" "On"
        Option      "RenderAccel" "On"
        Option      "EnablePageFlip" "On"
        Option      "EnableDepthMoves" "On"
        Option      "MergedFB" "On"
        Option      "MergedDPI" "110 110"
        Option          "MonitorLayout" "TMDS, TMDS"
        Option      "CRT2Position" "RightOf"
        Option      "MetaModes" "1600x1024-1600x1024"
        BusID       "PCI:1:0:0"
EndSection



Xorg.log shows:

Backtrace:
0: /usr/bin/Xorg(xf86SigHandler+0x81) [0x80da1e1]
1: [0x632420]
2: /usr/lib/dri/r300_dri.so [0x10034ce]
3: /usr/lib/xorg/modules/extensions/libGLcore.so(_tnl_install_pipeline+0x5d)
[0xecc1ed]
4: /usr/lib/dri/r300_dri.so(r300CreateContext+0x2d4) [0xff9994]
5: /usr/lib/dri/r300_dri.so [0xfef1f9]
6: /usr/lib/dri/r300_dri.so [0xfeb443]
7: /usr/lib/xorg/modules/extensions/libglx.so [0x1f862e]
8: /usr/lib/xorg/modules/extensions/libglx.so(DoCreateContext+0x10e) [0x1d0ace]
9: /usr/lib/xorg/modules/extensions/libglx.so(__glXCreateContext+0x44) [0x1d12c4]
10: /usr/lib/xorg/modules/extensions/libglx.so [0x1d3d6a]
11: /usr/bin/Xorg(Dispatch+0x19a) [0x80880da]
12: /usr/bin/Xorg(main+0x485) [0x806fa65]
13: /lib/libc.so.6(__libc_start_main+0xdc) [0x49df2c]
14: /usr/bin/Xorg(FontFileCompleteXLFD+0x1e9) [0x806eda1]

Fatal server error:
Caught signal 11.  Server aborting

(II) AIGLX: Suspending AIGLX clients for VT switch
(EE) RADEON(0): RADEONWaitForIdleCP: CP idle -22
(EE) RADEON(0): Idle timed out, resetting engine...
(**) RADEON(0): EngineRestore (32/32)
(EE) RADEON(0): RADEONWaitForIdleCP: CP reset -22
(EE) RADEON(0): RADEONWaitForIdleCP: CP start -22
(EE) RADEON(0): RADEONWaitForIdleCP: CP idle -22
(EE) RADEON(0): Idle timed out, resetting engine...
(**) RADEON(0): EngineRestore (32/32)

That last sequence repeats quite a few times.
Comment 1 Matěj Cepl 2007-02-15 19:15:06 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Matěj Cepl 2007-07-02 09:36:13 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 3 Matěj Cepl 2007-08-03 09:10:24 EDT
No information requested was provided, so I close this bug as INSUFFICIENT_DATA.
Reporter, if you could, please, reopen with additional information.

Note You need to log in before you can comment on or make changes to this bug.